It kind of looks like alot of rails things are broken via this ruby
update, There are reports out there from varying people claiming that
older or newer versions of ruby/rails combination will work. I'm kind
of waiting for Rails Core to post something or a fix soon until then
if you are feeling frisky read the zed shaw analysis on the exploit
found here... http://www.zedshaw.com/rants/the_big_ruby_vulnerabilities.html
and start trying to work through the seg faults.